Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKevin Sawicki2011-08-01 18:01:59 -0400
committerKevin Sawicki2011-08-01 18:01:59 -0400
commit6c43a4d617667cf9c0e1ec2fa4b908e5814c6542 (patch)
tree5fc6b5b531908b26a643a16786c09b8d32335fac /org.eclipse.mylyn.github.core/META-INF
parent433497079eb3ee28c15ab23b3e4d2e9e8ae12bc5 (diff)
downloadegit-github-6c43a4d617667cf9c0e1ec2fa4b908e5814c6542.tar.gz
egit-github-6c43a4d617667cf9c0e1ec2fa4b908e5814c6542.tar.xz
egit-github-6c43a4d617667cf9c0e1ec2fa4b908e5814c6542.zip
Add task repository for pull requests.
Initially supports: * Editing summary & description * Browsing & adding comments * Browsing & opening associated commits * Closing & re-opening the pull request * Checking out the pull request's commits into a topic branch * Fetching pull request commits * Generating a context with the files modified in the pull request Change-Id: Iba75e999353dbc5d095dc95dd2977e9f21d694e6 Signed-off-by: Kevin Sawicki <kevin@github.com>
Diffstat (limited to 'org.eclipse.mylyn.github.core/META-INF')
-rw-r--r--org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF10
1 files changed, 7 insertions, 3 deletions
diff --git a/org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF b/org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF
index 40a22c08..4fffdd2b 100644
--- a/org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF
+++ b/org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF
@@ -8,11 +8,15 @@ Bundle-Vendor: %providerName
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Export-Package: org.eclipse.mylyn.internal.github.core;version="1.1.0";x-friends:="org.eclipse.mylyn.github.ui",
org.eclipse.mylyn.internal.github.core.gist;version="1.1.0";x-friends:="org.eclipse.mylyn.github.ui",
- org.eclipse.mylyn.internal.github.core.issue;version="1.1.0";x-friends:="org.eclipse.mylyn.github.ui"
+ org.eclipse.mylyn.internal.github.core.issue;version="1.1.0";x-friends:="org.eclipse.mylyn.github.ui",
+ org.eclipse.mylyn.internal.github.core.pr;version="1.1.0";x-friends:="org.eclipse.mylyn.github.ui"
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.5.0,4.0.0)",
org.eclipse.mylyn.tasks.core;bundle-version="[3.4.0,4.0.0)",
org.eclipse.mylyn.commons.net;bundle-version="[3.4.0,4.0.0)"
-Import-Package: org.eclipse.egit.github.core;version="[1.1.0,1.2.0)",
+Import-Package: org.eclipse.egit.core;version="[1.1.0,1.2.0)",
+ org.eclipse.egit.github.core;version="[1.1.0,1.2.0)",
org.eclipse.egit.github.core.client;version="[1.1.0,1.2.0)",
org.eclipse.egit.github.core.service;version="[1.1.0,1.2.0)",
- org.eclipse.egit.github.core.util;version="[1.1.0,1.2.0)"
+ org.eclipse.egit.github.core.util;version="[1.1.0,1.2.0)",
+ org.eclipse.jgit.lib;version="[1.1.0,1.2.0)",
+ org.eclipse.jgit.transport;version="[1.1.0,1.2.0)"

Back to the top